Project

General

Profile

Backport #3308

Have problems installing the Ruby 1.9.1

Added by IAYA (Amy Zheng) about 9 years ago. Updated about 8 years ago.

Status:
Rejected
Priority:
Normal
Assignee:
-
[ruby-core:30282]

Description

=begin
I was trying to install it in Windows 7.

I followed the README file and encountered the following problems.

Step 1: configure. It complains that the declaration of _longjmp in eval_intern.h has been defined in cygwin, so I removed it from _longjmp.

After removing _longjmp(), configure works

Step 2: I removed the comments sign from ext/Setup file

Step 3: make. It succeeded

Step 4: make test. If failed in 1/879. make: ***[btest-ruby] error 1

Step 5: make install failed too.

The full log file is attached. Any help would be highly appreciated!
=end


Files

typescript (22.6 KB) typescript IAYA (Amy Zheng), 05/18/2010 05:21 AM

History

#1

Updated by rogerdpack (Roger Pack) about 9 years ago

=begin
trunk seems to install fine on my copy of cygwin (windows 7).

make test yields:

...
test_autoload.rb ....bootstraptest.tmp.rb: FFFF [hangs]

=end

#2

Updated by yugui (Yuki Sonoda) about 9 years ago

  • Assignee set to usa (Usaku NAKAMURA)

=begin
Is it reproducible? < unak
=end

#3

Updated by usa (Usaku NAKAMURA) about 9 years ago

  • Assignee deleted (usa (Usaku NAKAMURA))

=begin
I don't check cygwin.
If you hope, I'll make time to check it later.
=end

#4

Updated by usa (Usaku NAKAMURA) about 9 years ago

=begin
I've tested the installation of ruby_1_9_1 HEAD(p427,r27982) with cygwin,
and it ended successfully.

=end

#5

Updated by nobu (Nobuyoshi Nakada) about 9 years ago

  • Status changed from Open to Rejected

=begin
You seem to try 1.9.1-p0 on cygwin 1.7.
Try more recent release.
=end

Also available in: Atom PDF